Package org.apache.commons.lang

## Class SerializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.lang.exception.NestableRuntimeException
        - - org.apache.commons.lang.SerializationException

- All Implemented Interfaces:
    `Serializable`, `Nestable`

      public class SerializationException
      extends NestableRuntimeException

  Exception thrown when the Serialization process fails.

  The original error is wrapped within this one.

  Since:
    1.0
  Version:
    $Id: SerializationException.java 905636 2010-02-02 14:03:32Z niallp $
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.lang.exception.NestableRuntimeException

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SerializationException()` | Constructs a new `SerializationException` without specified detail message.
    `SerializationException​(String msg)` | Constructs a new `SerializationException` with specified detail message.
    `SerializationException​(String msg, Throwable cause)` | Constructs a new `SerializationException` with specified detail message and nested `Throwable`.
    `SerializationException​(Throwable cause)` | Constructs a new `SerializationException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.lang.exception.NestableRuntimeException

      `getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializationException

          public SerializationException()

      Constructs a new `SerializationException` without specified detail message.

    - #### SerializationException

          public SerializationException​(String msg)

      Constructs a new `SerializationException` with specified detail message.

      Parameters:
        `msg` - The error message.

    - #### SerializationException

          public SerializationException​(Throwable cause)

      Constructs a new `SerializationException` with specified nested `Throwable`.

      Parameters:
        `cause` - The `Exception` or `Error` that caused this exception to be thrown.

    - #### SerializationException

          public SerializationException​(String msg,
                                        Throwable cause)

      Constructs a new `SerializationException` with specified detail message and nested `Throwable`.

      Parameters:
        `msg` - The error message.
        `cause` - The `Exception` or `Error` that caused this exception to be thrown.